ur_rna.Utilities.testing

## Class TestUtils

- java.lang.Object
- - ur_rna.Utilities.testing.TestUtils

-     public class TestUtils
      extends java.lang.Object

  Utilites to aid in unit tests.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `TestUtils.TestMethod`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `assertError(TestUtils.TestMethod testLambda, java.lang.Class expectedExceptionClass)`
    `static void` | `assertError(TestUtils.TestMethod testLambda, java.lang.Class expectedExceptionClass, boolean allowDerivedExceptions)`
    `static void` | `assertInstanceOf(java.lang.Class expected, java.lang.Class actual)`
    `static void` | `assertInstanceOf(java.lang.Class expectedClass, java.lang.Object actualObject)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestUtils

          public TestUtils()

  - ### Method Detail

    - #### assertError

          public static void assertError(TestUtils.TestMethod testLambda,
                                         java.lang.Class expectedExceptionClass)

    - #### assertError

          public static void assertError(TestUtils.TestMethod testLambda,
                                         java.lang.Class expectedExceptionClass,
                                         boolean allowDerivedExceptions)

    - #### assertInstanceOf

          public static void assertInstanceOf(java.lang.Class expected,
                                              java.lang.Class actual)

    - #### assertInstanceOf

          public static void assertInstanceOf(java.lang.Class expectedClass,
                                              java.lang.Object actualObject)